# ContainsCondition

Implements \Condition

Is one string part of another string?

author | Hans Lellelid hans@xmpl.org (Phing)
author | Stefan Bodewig stefan.bodewig@epost.de (Ant)
version | $Id: d3373cdf3bbaa92ac40c577198e5a01c6c114796 $
package | phing.tasks.system.condition

### Methods

## Check whether string contains substring.

    evaluate() : boolean

throws |

### Response

`boolean`

## Whether to search ignoring case or not.

    setCaseSensitive( $b)

### Arguments

#### $b

``

## The string to search in.

    setString(string $a1)

### Arguments

#### $a1

`string`

## The string to search for.

    setSubstring(string $a2)

### Arguments

#### $a2

`string`

### Properties

## string

    string :

### Type(s)

``

## subString

    subString :

### Type(s)

``

## caseSensitive

    caseSensitive :

### Type(s)

``